#!/usr/bin/env python
# -*- coding: utf-8 -*-

# # Notebook Example
# 
# Render RST in a notebook.

# This is an example of a section with a formula : $1 + ... + n = \frac{n(n+1)}{2}$. The conversion to HTML relies on MathJax. It sometimes fails if the link to this library is missing ([nbconvert: Math is not displayed in the html output #6440](https://github.com/ipython/ipython/issues/6440)).

# In[1]:


from pyquickhelper.helpgen import docstring2html
from pyquickhelper.imghelper import js_helper as fct
docstring2html(fct, epkg_dictionary={'javascript': 'https://en.wikipedia.org/wiki/JavaScript'})


# In[2]:


from pyquickhelper.helpgen import docstring2html
docstring2html(open)


# This functions relies on *sphinx* and *docutils* and just importing these modules takes some time. To speed up things, [python-fire](https://github.com/google/python-fire) would probably be a better option.

# In[3]: